def proc check_array_capacity (array$,nbr%,increase%)
rem this checks that the array has the capacity to hold at least nbr% elements
rem if yes, nothing is changed
rem if not, the array is increased by increase% elements
rem if it is an array with multiple dimensions, a check is only made on the first dimension
rem the array must not have more than 2 dimensions
rem the array must be a string array
local lp%,dim1%,dim2%,dim3%,tot_dim%,local_array$(0)
  rem (include check on array type!)
  rem first, check nbr of dimensions
  dim1%=dimn(array$,1)
  dim2%=dimn(array$,2)
  dim3%=dimn(array$,3)
  tot_dim%=1
  if dim2% : tot_dim%=2
  if nbr%>dim1%
     select on tot_dim%
       =1 : dim local_array$(nbr%+increase%)
       =2 : dim local_array$(nbr%+increase%,dim2%)
     end select
     arrcopy array$,local_array$
     select on tot_dim%
       =1 : dim array$(nbr%+increase%)
       =2 : dim array$(nbr%+increase%,dim2%)
     end select
     arrcopy local_array$,array$
  end if
end def check_array_capacity
:
