def proc set_csizes_QPTR (appsub_list,num%,x_csize%,y_csize%)
rem set the csizes for menu appsub windows
rem params:
rem   appsub_list
rem	the appsub list as returned by the RD_AWTA basic function  and/or
rem	the MK_AWL extension
rem   num%
rem	the appsub number, starting at 1 for the first appsub wdw
rem   x_csize%
rem	 the x csize (0 ... 3), same as for the CSIZE command
rem   y_csize%
rem	 the y csize (0 or 1), same as for the CSIZE command
rem
rem   If there is any error in the parameters, this jusy gives up silently
rem   without generating an error
rem
local appsub_nbr%,appsub
  appsub_nbr%=peek_w(appsub_list)		: rem nbr of appsub wdws
  if appsub_nbr% < num% or num% < 1: return	: rem wrong appsub number
  appsub=peek_l(appsub_list+2+4*(num%-1))	: rem get poiner to appsub wdw
  if x_csize% > -1 and x_csize% < 4
      poke appsub+38,x_csize%			: rem set size
  endif
  if y_csize% > -1 and y_csize% < 2
      poke appsub+39,y_csize%			: rem set size
  endif
end def set_csizes_QPTR
:
def proc set_csizes_EASYPTR (channel%,num%,x_csize%,y_csize%)
rem set the csizes for menu appsub windows
rem params:
rem   channel%
rem	the channel number, which must be the same on as used for MAWDRAW
rem	or MAWSETUP. THIS DOES NOT DEFAULT TO ANYTHING, you MUST
rem	supply this parameter correctly.
rem   num%
rem	the appsub number, starting at 1 for the first appsub wdw
rem   x_csize%
rem	 the x csize (0 ... 3), same as for the CSIZE command
rem   y_csize%
rem	 the y csize (0 or 1), same as for the CSIZE command
rem
rem   If there is any error in the parameters, this jusy gives up silently
rem   without generating an error	S
rem
local appsub_nbr%,appsub
  appsub= MWDEF(#channel%)			: rem the working definition
  appsub_nbr%=peek_w(appsub+110)		: rem nbr of appsub wdws
  if appsub_nbr% < num% or num% < 1: return	: rem wrong appsub number
  appsub=peek_l(appsub+112)			: rem point to appsub list
  appsub=peek_l(appsub+4*(num%-1))		: rem get poiner to appsub wdw
  if x_csize% > -1 and x_csize% < 4
      poke appsub+38,x_csize%		       : rem set size
  endif
  if y_csize% > -1 and y_csize% < 2
      poke appsub+39,y_csize%		       : rem set size
  endif
end def set_csizes_EASYPTR
:
