def proc make_my_palette
  sp.winbd      =	$0200	: rem Window border
  sp.winbg      =	$0201	: rem Window background
  sp.winfg      =	$0202	: rem Window foreground
  sp.titlebg    =	$0203	: rem Title background
  sp.titletextbg=	$0204	: rem Title text background
  sp.titlefg    =	$0205	: rem Title foreground
  sp.litemhigh  =	$0206	: rem Loose item highlight
  sp.litemavabg =	$0207	: rem Loose item available background
  sp.litemavafg =	$0208	: rem Loose item available foreground
  sp.litemselbg =	$0209	: rem Loose item selected background
  sp.litemselfg =	$020a	: rem Loose item selected foreground
  sp.litemunabg =	$020b	: rem Loose item unavailable background
  sp.litemunafg =	$020c	: rem Loose item unavailable foreground
  sp.infwinbd   =	$020d	: rem Information window border
  sp.infwinbg   =	$020e	: rem Information window background
  sp.infwinfg   =	$020f	: rem Information window foreground
  sp.infwinmg   =	$0210	: rem Information window middleground
  sp.subinfbd   =	$0211	: rem Subsidiary information window border
  sp.subinfbg   =	$0212	: rem Subsidiary information window background
  sp.subinffg   =	$0213	: rem Subsidiary information window foreground
  sp.subinfmg   =	$0214	: rem Subsidiary information window middleground
  sp.appbd      =	$0215	: rem Application window border
  sp.appbg      =	$0216	: rem Application window background
  sp.appfg      =	$0217	: rem Application window foreground
  apphigh    =	$0218	: rem Application window item highlight
  sp.appiavabg  =	$0219	: rem Application window item available background
  sp.appiavafg  =	$021a	: rem Application window item available foreground
  sp.appiselbg  =	$021b	: rem Application window item selected background
  sp.appiselfg  =	$021c	: rem Application window item selected foreground
  sp.appiunabg  =	$021d	: rem Application window item unavailable background
  sp.appiunafg  =	$021e	: rem Application window item unavailable foreground
  sp.scrbar     =	$021f	: rem Pan/scroll bar
  sp.scrbarsec  =	$0220	: rem Pan/scroll bar section
  sp.scrbararr  =	$0221	: rem Pan/scroll bar arrow
  sp.buthigh    =	$0222	: rem Button highlight
  sp.butbd      =	$0223	: rem Button border
  sp.butbg      =	$0224	: rem Button background
  sp.butfg      =	$0225	: rem Button foreground
  sp.hintbd     =	$0226	: rem Hint border
  sp.hintbg     =	$0227	: rem Hint background
  sp.hintfg     =	$0228	: rem Hint foreground
  sp.errbg      =	$0229	: rem Error background
  sp.errfg      =	$022a	: rem Error foreground
  sp.shaded     =	$022b	: rem sp.shaded area
  3dobjbg    =	$022c	: rem 3D object background
  3dobjfg    =	$022d	: rem 3D object foreground
end def make_my_palette
:
def proc make_my_old_palette
rem this translates the colours used in the wdws into 4 colour mode...
  sp.winbd      =	menu_brd   : rem Window border
  sp.winbg      =	menu_pap   : rem Window background
  sp.winfg      =	menu_pap   : rem Window foreground
  sp.titlebg    =	menu_bar   : rem Title background
  sp.titletextbg=	$0204	: rem Title text background
  sp.titlefg    =	$0205	: rem Title foreground
  sp.litemhigh  =	menu_ink   : rem Loose item highlight
  sp.litemavabg =	menu_pap   : rem Loose item available background
  sp.litemavafg =	menu_ink   : rem Loose item available foreground
  sp.litemselbg =	menu_brd   : rem Loose item selected background
  sp.litemselfg =	menu_ink   : rem Loose item selected foreground
  sp.litemunabg =	menu_pap   : rem Loose item unavailable background
  sp.litemunafg =	menu_brd   : rem Loose item unavailable foreground
  sp.infwinbd   =	menu_brd   : rem Information window border
  sp.infwinbg   =	menu_pap   : rem Information window background
  sp.infwinfg   =	menu_ink   : rem Information window foreground
  sp.infwinmg   =	$0210	: rem Information window middleground
  sp.subinfbd   =	$0211	: rem Subsidiary information window border
  sp.subinfbg   =	$0212	: rem Subsidiary information window background
  sp.subinffg   =	$0213	: rem Subsidiary information window foreground
  sp.subinfmg   =	$0214	: rem Subsidiary information window middleground
  sp.appbd      =	menu_brd   : rem Application window border
  sp.appbg      =	menu_pap   : rem Application window background
  sp.appfg      =	menu_ink   : rem Application window foreground
  apphigh    =	$0218	: rem Application window item highlight
  sp.appiavabg  =	$0219	: rem Application window item available background
  sp.appiavafg  =	$021a	: rem Application window item available foreground
  sp.appiselbg  =	$021b	: rem Application window item selected background
  sp.appiselfg  =	$021c	: rem Application window item selected foreground
  sp.appiunabg  =	$021d	: rem Application window item unavailable background
  sp.appiunafg  =	$021e	: rem Application window item unavailable foreground
  sp.scrbar     =	menu_ink   : rem Pan/scroll bar
  sp.scrbarsec  =	$0220	: rem Pan/scroll bar section
  sp.scrbararr  =	menu_brd : rem Pan/scroll bar arrow
  sp.buthigh    =	menu_ink : rem Button highlight
  sp.butbd      =	menu_brd   : rem Button border
  sp.butbg      =	menu_pap   : rem Button background
  sp.butfg      =	menu_ink   : rem Button foreground
  sp.hintbd     =	$0226	: rem Hint border
  sp.hintbg     =	$0227	: rem Hint background
  sp.hintfg     =	$0228	: rem Hint foreground
  sp.errbg      =	$0229	: rem Error background
  sp.errfg      =	$022a	: rem Error foreground
  sp.shaded     =	$022b	: rem sp.shaded area
  3dobjbg    =	$022c	: rem 3D object background
  3dobjfg    =	$022d	: rem 3D object foreground
end def
